using System;
using System.Collections.Generic;
using System.Text;

namespace NajmanjsiSkupniVeckratnik
{
    class NajmanjsiSkupniVeckratnik
    {
        static void Main(string[] args)
        {
            // preberemo podatke
            Console.Write("Vnesi prvo stevilo: ");
            int stevilo1 = Int32.Parse(Console.ReadLine());

            Console.Write("Vnesi drugo stevilo: ");
            int stevilo2 = Int32.Parse(Console.ReadLine());

            int odgovor = NSV(stevilo1, stevilo2);

            // izpis
            Console.WriteLine("Najmanjsi skupni veckratnik stevil " + stevilo1 + " in "
                            + stevilo2 + " je " + odgovor + ".");
            Console.ReadKey();
        }

        // izračunamo največji skupni delitelj
        public static int NSD(int m, int n)
        {
            int a = m;
            int b = n;
            while (b > 0)
            {
                int ostanek = a % b;
                a = b;
                b = ostanek;
            }
            return a;
        }

	// izračunamo najmanjši skupni večkratnik
        public static int NSV(int m, int n)
        {
            return (m * n) / NSD(m, n);
        }
    }
}
