import javax.swing.JOptionPane;

public class NajmanjsiSkupniVeckratnik {
	public static void main(String[] args) {
		// preberemo podatke
		String niz1 = JOptionPane.showInputDialog("Vnesi prvo stevilo: ");
		String niz2 = JOptionPane.showInputDialog("Vnesi drugo stevilo: ");
		int stevilo1 = Integer.parseInt(niz1);
		int stevilo2 = Integer.parseInt(niz2);

		int odgovor = NSV(stevilo1, stevilo2);

		// izpis
		JOptionPane.showMessageDialog(null,
				"Najmanjsi skupni veckratnik stevil " + stevilo1 + " in "
						+ stevilo2 + " je " + odgovor + ".");
	}

	// metoda vrne največji skupni delitelj števil m in n
	public static int NSD(int m, int n) {
		int a = m;
		int b = n;
		while (b > 0) {
			int ostanek = a % b;
			a = b;
			b = ostanek;
		}
		return a;
	}

	// najmanjši skupni večkratnik števil m in n izračunamo tako, da zmnožek števil m in n deljivo z njunim največjim skupnim deliteljem
	public static int NSV(int m, int n) {
		return (m*n)/NSD(m,n);
	}
}
